"""testproj URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include
from calc import views
from rest_framework_simplejwt.views import TokenObtainPairView, TokenRefreshView
import logging
# from django.conf import settings
# from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    # path('', views.home), 
    path('signin/', views.signIn), 
    path('postsign/', views.postsign), 
    path('logout/', views.logout, name="log"), 
    path('signUp/', views.signUp), 
    path('postsignUp/', views.postsignUp), 
    path('api/token/', TokenObtainPairView.as_view()),
    path('api/token/refresh/', TokenRefreshView.as_view()), 
    path('create/', views.details, name="details"), 
    path('postcropcreate/', views.postcropcreate, name="postcropcreate"), 
    path('check/', views.check, name="showDetails"), 
    path('remove/', views.removeUser), 
    path('update/', views.updateUser,), 
    path('post_updated/', views.post_updated,), 


    # path('hello/', views.HelloView), 
]

logging.debug('This will get logged')


